---
title: "Add a FOMO user, coin, or pump.fun account"
canonical_url: "https://tweetstream.io/docs/api/add-fomo-or-callout-subscription"
last_updated: 2026-11-05
---

# Add a FOMO user, coin, or pump.fun account

PUT /api/callouts tracks a FOMO user, FOMO coin or pump.fun caller, with an optional label. It returns the updated list; 409 means that platform is full.

Canonical URL: https://tweetstream.io/docs/api/add-fomo-or-callout-subscription

## `PUT /api/callouts`

`https://api.tweetstream.io/api/callouts`

## Authorization

| Name | Type | Description |
| --- | --- | --- |
| `Authorization` | `string`, required | Bearer authentication with your TweetStream API key: `Bearer <key>`. |

## Body

| Name | Type | Description |
| --- | --- | --- |
| `platform` | `enum<string>`, required |  |
| `input` | `string`, required |  |
| `label` | `string` |  |

### Body example

```json
{
  "input": "marketdesk",
  "label": "Market Desk",
  "platform": "pump_fun"
}
```

## Response fields

| Name | Type | Description |
| --- | --- | --- |
| `caller` | `object` |  |
| `caller.callerId` | `string`, required |  |
| `caller.createdAt` | `string`, required |  |
| `caller.label` | `string`, required |  |
| `caller.platform` | `enum<string>`, required |  |
| `caller.username` | `string`, required |  |
| `caller.metadata` | `object` |  |
| `caller.metadata.displayName` | `string` |  |
| `caller.metadata.avatarUrl` | `string` |  |
| `caller.metadata.tokenAddress` | `string` |  |
| `caller.metadata.symbol` | `string` |  |
| `caller.metadata.name` | `string` |  |
| `caller.metadata.imageUrl` | `string` |  |
| `caller.metadata.networkId` | `integer` |  |
| `callers` | `object[] \| null`, required |  |
| `callers.callerId` | `string`, required |  |
| `callers.createdAt` | `string`, required |  |
| `callers.label` | `string`, required |  |
| `callers.platform` | `enum<string>`, required |  |
| `callers.username` | `string`, required |  |
| `callers.metadata` | `object` |  |
| `callers.metadata.displayName` | `string` |  |
| `callers.metadata.avatarUrl` | `string` |  |
| `callers.metadata.tokenAddress` | `string` |  |
| `callers.metadata.symbol` | `string` |  |
| `callers.metadata.name` | `string` |  |
| `callers.metadata.imageUrl` | `string` |  |
| `callers.metadata.networkId` | `integer` |  |
| `pending` | `object[] \| null`, required |  |
| `pending.createdAt` | `string`, required |  |
| `pending.intentId` | `string`, required |  |
| `pending.input` | `string`, required |  |
| `pending.label` | `string`, required |  |
| `pending.platform` | `enum<string>`, required |  |
| `limit` | `enum<integer>`, required | Current pump.fun capacity, the same as limits.pump_fun. Read limits for each platform's capacity. |
| `limits` | `object`, required | Current platform capacity. All values are 0 when the account has no active eligible plan. |
| `limits.pump_fun` | `enum<integer>`, required |  |
| `limits.fomo_user` | `integer`, required |  |
| `limits.fomo_coin` | `enum<integer>`, required |  |
| `removed` | `boolean` |  |

## Responses

| Status | Description | Headers |
| --- | --- | --- |
| `200` | Success |  |
| `400` | Invalid request |  |
| `401` | Missing or invalid API key |  |
| `403` | The authenticated account cannot use this capability |  |
| `404` | The requested resource was not found |  |
| `409` | Platform subscription limit reached |  |
| `500` | The request could not be completed |  |
| `503` | Temporarily unavailable |  |

### 200

```json
{
  "caller": {
    "callerId": "<string>",
    "createdAt": "2026-01-01T00:00:00Z",
    "label": "<string>",
    "platform": "pump_fun",
    "username": "<string>",
    "metadata": {
      "displayName": "<string>",
      "avatarUrl": "<string>",
      "tokenAddress": "<string>",
      "symbol": "<string>",
      "name": "<string>",
      "imageUrl": "<string>",
      "networkId": 123
    }
  },
  "callers": [
    {
      "callerId": "<string>",
      "createdAt": "2026-01-01T00:00:00Z",
      "label": "<string>",
      "platform": "pump_fun",
      "username": "<string>",
      "metadata": {
        "displayName": "<string>",
        "avatarUrl": "<string>",
        "tokenAddress": "<string>",
        "symbol": "<string>",
        "name": "<string>",
        "imageUrl": "<string>",
        "networkId": 123
      }
    }
  ],
  "pending": [
    {
      "createdAt": "2026-01-01T00:00:00Z",
      "intentId": "<string>",
      "input": "<string>",
      "label": "<string>",
      "platform": "pump_fun"
    }
  ],
  "limit": 0,
  "limits": {
    "pump_fun": 0,
    "fomo_user": 0,
    "fomo_coin": 0
  },
  "removed": true
}
```

### 400

```json
{
  "error": "<string>"
}
```

### 401

```json
{
  "error": "<string>"
}
```

### 403

```json
{
  "error": "<string>"
}
```

### 404

```json
{
  "error": "<string>"
}
```

### 409

```json
{
  "error": "<string>"
}
```

### 500

```json
{
  "error": "<string>"
}
```

### 503

```json
{
  "error": "<string>"
}
```

## Code samples

### cURL

```bash
curl --request PUT \
  --url https://api.tweetstream.io/api/callouts \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "platform": "pump_fun",
  "input": "marketdesk"
}'
```

### JavaScript

```javascript
const response = await fetch("https://api.tweetstream.io/api/callouts", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "platform": "pump_fun",
    "input": "marketdesk"
  }),
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.put(
    "https://api.tweetstream.io/api/callouts",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
    json={
        "platform": "pump_fun",
        "input": "marketdesk",
    },
)

print(response.status_code, response.json())
```
